Bug 1884760 - Need to add candidate-4.6, fast-4.6, and stable-4.6 channels
Summary: Need to add candidate-4.6, fast-4.6, and stable-4.6 channels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1867238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-02 18:45 UTC by Robb Hamilton
Modified: 2020-10-19 14:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-10-02-084922 Cluster ID: c052a061-994f-41e9-a915-0a84fdac04f4 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/85.0.4183.121 Safari/537.36
Last Closed: 2020-10-19 14:55:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of the list of channels added. (93.97 KB, image/png)
2020-10-06 09:04 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6822 0 None closed Bug 1884760: add candidate-4.6, fast-4.6, and stable-4.6 channels 2020-11-03 14:32:31 UTC
Red Hat Product Errata RHBA-2020:4228 0 None None None 2020-10-19 14:55:17 UTC

Description Robb Hamilton 2020-10-02 18:45:02 UTC
Description of problem:  With the pending release of 4.6.0, the 4.5.z stream needs to be updated to include the 4.6 channels.  This is the last time we'll need to do this push as 4.6 uses an API to determine available channels.

Comment 2 Siva Reddy 2020-10-06 09:03:01 UTC
The 4.5 release has the list of the 4.6 channels displayed and hence moving this bug to verified state.

Version: 
4.5.0-0.nightly-2020-10-03-071140

Steps to verify:
1. Login to the web console as admin.
2. Navigate to PageSideBar>Administration>Cluster Settings
3. On the Cluster settings page Details tab click the Channels pencil icon
4. Note that now the following list of channels are displayed.
        stable-4.5
        fast-4.5
        candidate-4.5
        stable-4.6
        fast-4.6
        candidate-4.6

Attached the screenshot also.

Comment 3 Siva Reddy 2020-10-06 09:04:27 UTC
Created attachment 1719307 [details]
Screen shot of the list of channels added.

Comment 6 errata-xmlrpc 2020-10-19 14:55:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.15 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4228


Note You need to log in before you can comment on or make changes to this bug.